import sys
from math import floor


def show_rounding(v):
    print()
    print(f"int({v})       =", int(v))
    print(f"floor({v})     =", floor(v))
    print(f"round({v})     =", round(v))
    print(f"int(round({v}))=", int(round(v)))


print()
print("Check how float => integer conversions work:")

show_rounding(0.00001)
show_rounding(-0.00001)
show_rounding(0.4999)
show_rounding(0.5001)
show_rounding(1.4999)
show_rounding(-1.5001)
show_rounding(-0.4999)
show_rounding(-0.5001)
show_rounding(-1.4999)
show_rounding(-1.5001)